<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: FBSDKGraphErrorRecoveryProcessor.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_81e630f80dfe391b8563c60e022e9d38.html">Facebook</a></li><li class="navelem"><a class="el" href="dir_cd27d032173a750acd61f35dd4cb870e.html">FBSDKCoreKit.framework</a></li><li class="navelem"><a class="el" href="dir_717f60f73edf40209cbb79c2c4de0c7e.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">FBSDKGraphErrorRecoveryProcessor.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// Copyright (c) 2014-present, Facebook, Inc. All rights reserved.</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// You are hereby granted a non-exclusive, worldwide, royalty-free license to use,</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// copy, modify, and distribute this software in source code or binary form for use</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">// in connection with the web services and APIs provided by Facebook.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// As with any software that integrates with the Facebook platform, your use of</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">// this software is subject to the Facebook Developer Principles and Policies</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// [http://developers.facebook.com/policy/]. This copyright notice shall be</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// included in all copies or substantial portions of the software.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">// THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">// FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">// COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#import &quot;FBSDKConstants.h&quot;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_f_b_s_d_k_graph_error_recovery_processor.html">FBSDKGraphErrorRecoveryProcessor</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_f_b_s_d_k_graph_request.html">FBSDKGraphRequest</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="protocol_f_b_s_d_k_graph_error_recovery_processor_delegate-p.html">   29</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_f_b_s_d_k_graph_error_recovery_processor_delegate-p.html">FBSDKGraphErrorRecoveryProcessorDelegate</a>&lt;NSObject&gt;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;- (void)processorDidAttemptRecovery:(<a class="code" href="interface_f_b_s_d_k_graph_error_recovery_processor.html">FBSDKGraphErrorRecoveryProcessor</a> *)processor didRecover:(BOOL)didRecover error:(NSError *)error;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">@optional</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;- (BOOL)processorWillProcessError:(<a class="code" href="interface_f_b_s_d_k_graph_error_recovery_processor.html">FBSDKGraphErrorRecoveryProcessor</a> *)processor error:(NSError *)error;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_graph_error_recovery_processor.html">   77</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_f_b_s_d_k_graph_error_recovery_processor.html">FBSDKGraphErrorRecoveryProcessor</a> : NSObject</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160; </div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_graph_error_recovery_processor.html#a3028da88a3e241fed8b263d99c207092">   82</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong, readonly) id&lt;FBSDKGraphErrorRecoveryProcessorDelegate&gt;<a class="code" href="interface_f_b_s_d_k_graph_error_recovery_processor.html#a3028da88a3e241fed8b263d99c207092">delegate</a>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;- (BOOL)processError:(NSError *)error request:(<a class="code" href="interface_f_b_s_d_k_graph_request.html">FBSDKGraphRequest</a> *)request <a class="code" href="interface_f_b_s_d_k_graph_error_recovery_processor.html#a3028da88a3e241fed8b263d99c207092">delegate</a>:(id&lt;FBSDKGraphErrorRecoveryProcessorDelegate&gt;) <a class="code" href="interface_f_b_s_d_k_graph_error_recovery_processor.html#a3028da88a3e241fed8b263d99c207092">delegate</a>;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160; </div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;- (void)didPresentErrorWithRecovery:(BOOL)didRecover contextInfo:(<span class="keywordtype">void</span> *)contextInfo;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160; </div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_f_b_s_d_k_graph_error_recovery_processor_html_a3028da88a3e241fed8b263d99c207092"><div class="ttname"><a href="interface_f_b_s_d_k_graph_error_recovery_processor.html#a3028da88a3e241fed8b263d99c207092">FBSDKGraphErrorRecoveryProcessor::delegate</a></div><div class="ttdeci">id&lt; FBSDKGraphErrorRecoveryProcessorDelegate &gt; delegate</div><div class="ttdef"><b>Definition:</b> FBSDKGraphErrorRecoveryProcessor.h:82</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_graph_error_recovery_processor_html"><div class="ttname"><a href="interface_f_b_s_d_k_graph_error_recovery_processor.html">FBSDKGraphErrorRecoveryProcessor</a></div><div class="ttdef"><b>Definition:</b> FBSDKGraphErrorRecoveryProcessor.h:77</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_graph_request_html"><div class="ttname"><a href="interface_f_b_s_d_k_graph_request.html">FBSDKGraphRequest</a></div><div class="ttdef"><b>Definition:</b> FBSDKGraphRequest.h:44</div></div>
<div class="ttc" id="aprotocol_f_b_s_d_k_graph_error_recovery_processor_delegate-p_html"><div class="ttname"><a href="protocol_f_b_s_d_k_graph_error_recovery_processor_delegate-p.html">FBSDKGraphErrorRecoveryProcessorDelegate-p</a></div><div class="ttdef"><b>Definition:</b> FBSDKGraphErrorRecoveryProcessor.h:29</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
